Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1583)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 1584)
@@ -852,14 +852,16 @@
 								// Stores the last parameters before the computing to later auto-update the Widgets only if some parameters have changed 
 								//setLastComputingParameters(TXMEditor.this.getResult().getLastParametersFromHistory());
 							}
-							else	 {
-								// popup alert to inform user that children results will be recomputed
-								if(!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)
-										&& TXMEditor.this.getResult().hasVisibleChild() && !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated))	{
-									setCanceled(true);
-								}
-
-							}
+							// FIXME: SJ: there is a bug when deleting LT lines for example, the popup alert to inform user that children results will be recomputed is not triggered
+							// problem here is the DeleteLines commands, etc. call TXMEditor.compute(false) at this moment, they should call TXMEditor.compute(true) but the LT Editor is not ready to manage that
+//							else if(TXMEditor.this.getResult().hasBeenComputedOnce())	 {
+//								// popup alert to inform user that children results will be recomputed
+//								if(!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)
+//										&& TXMEditor.this.getResult().hasVisibleChild() && !MessageDialog.openQuestion(getShell(), TXMCoreMessages.common_warning, TXMUIMessages.warning_popup_allDescendantResultsWillBeUpdated))	{
+//									setCanceled(true);
+//								}
+//
+//							}
 						}
 					});
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableLinesViewerComparator.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableLinesViewerComparator.java	(revision 1583)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableLinesViewerComparator.java	(revision 1584)
@@ -25,6 +25,9 @@
  * @author sjacquot
  *
  */
+// FIXME: SJ: this class should manage a result of type TableResult extends TXMResult
+// This class then should be responsible of the sort of the UI but also of the call of a TableResult.sort() method
+// The class TableResult or MatrixResult should define a method sort(int columnIndex), abstract or not
 public class TableLinesViewerComparator extends ViewerComparator {
 
 	
@@ -76,33 +79,38 @@
 		
 		int result = 0;
 
+		Object cell1 = e1;
+		Object cell2 = e2;
+
+		
 		if(e1 instanceof List)	{
-			Object cell1 = ((List)e1).get(this.lastColumnIndex);
-			Object cell2 = ((List)e2).get(this.lastColumnIndex);
-			
-			if (Integer.class.isInstance(cell1))	{
-				result = ((Integer)cell1).compareTo(((Integer)cell2));
-			}
-			else if (Double.class.isInstance(cell1))	{
-				result = ((Double)cell1).compareTo(((Double)cell2));
-			}
-			else if (Float.class.isInstance(cell1))	{
-				result = ((Float)cell1).compareTo(((Float)cell2));
-			}
-			else if (Long.class.isInstance(cell1))	{
-				result = ((Long)cell1).compareTo(((Long)cell2));
-			}
-			else if (String.class.isInstance(cell1))	{
-				result = this.collator.compare((String)cell1, (String)cell2);
-			}
-			else if (Boolean.class.isInstance(cell1))	{
-				result = ((Boolean)cell1).compareTo(((Boolean)cell2));
-			}
-			else if (Date.class.isInstance(cell1))	{
-				result = ((Date)cell1).compareTo(((Date)cell2));
-			}
+			cell1 = ((List)e1).get(this.lastColumnIndex);
+			cell2 = ((List)e2).get(this.lastColumnIndex);
 		}
 		
+		if (Integer.class.isInstance(cell1))	{
+			result = ((Integer)cell1).compareTo(((Integer)cell2));
+		}
+		else if (Double.class.isInstance(cell1))	{
+			result = ((Double)cell1).compareTo(((Double)cell2));
+		}
+		else if (Float.class.isInstance(cell1))	{
+			result = ((Float)cell1).compareTo(((Float)cell2));
+		}
+		else if (Long.class.isInstance(cell1))	{
+			result = ((Long)cell1).compareTo(((Long)cell2));
+		}
+		else if (String.class.isInstance(cell1))	{
+			result = this.collator.compare((String)cell1, (String)cell2);
+		}
+		else if (Boolean.class.isInstance(cell1))	{
+			result = ((Boolean)cell1).compareTo(((Boolean)cell2));
+		}
+		else if (Date.class.isInstance(cell1))	{
+			result = ((Date)cell1).compareTo(((Date)cell2));
+		}
+		
+		
 		// reverse if needed
 		if (this.direction == DESCENDING) {
 			result = -result;
@@ -187,7 +195,6 @@
 		Table table = viewer.getTable();
 		for (int i = 0; i < table.getColumnCount(); i++) {
 			TableColumn column = table.getColumn(i);
-			String test = column.getText();
 			if(!column.getText().isEmpty())	{
 				this.addSelectionAdapter(viewer, column, i);	
 			}
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1583)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1584)
@@ -195,7 +195,7 @@
 			specificitesTable.setSortColumn(unitColumn);
 			specificitesTable.setSortDirection(SWT.UP);
 			
-			if (!getResult().isParentVisible()) {
+			if (!this.getResult().isParentVisible()) {
 				ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, false);
 				this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 				this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
